Page MenuHomePhabricator

Adding the API as a submodule
ClosedPublic

Authored by CLOVIS on Jan 12 2019, 5:48 PM.

Details

Summary
  • Adding api.sh that runs the API if needed (Linux-only)
  • When unit testing, run the script to check that the API is running (Linux-only)
  • Displays a warning on Windows

Fixes T311

Test Plan
  • On Linux: run the tests without the API running, the gradle task should fail and tell you
  • On Linux: run the tests with the API running, it should run the tests normally
  • On Windows: run the tests, it should print a warning because it cannot check if the API is running
  • On MacOS: currently it behaves as on Windows, because I do not know if MacOS handles this bash script or not

Diff Detail

Repository
rLIBWFJVA WildFyre Java Libary
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

WyldBot requested changes to this revision.Jan 15 2019, 6:37 PM
This revision now requires changes to proceed.Jan 15 2019, 6:37 PM

I'm sorry @WyldBot, what changes do you require? You didn't leave a comment

This revision is now accepted and ready to land.Jan 19 2019, 5:41 PM
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.